package com.hssx.pcbms.service;

import com.hssx.pcbms.entity.Idea;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hssx.pcbms.entity.vo.IdeaVO;
import com.hssx.pcbms.util.HttpRespMsg;
import com.hssx.pcbms.util.PageUtil;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-11-02
 */
public interface IdeaService extends IService<Idea> {

    HttpRespMsg add(Idea idea);

    HttpRespMsg del(Idea idea);

    HttpRespMsg ideaList(Idea idea,PageUtil page);

    HttpRespMsg ideaListByTime(Idea idea,String time,String scoreId);

    HttpRespMsg getAdviceScore(IdeaVO ideaVO);

    HttpRespMsg getDraft(Idea idea);
}
